function supdofs = applyBCtri(innerBound,outerBound,edge1Bound,edge2Bound)

% Fixed columns on inner edge
column1 = intersect(innerBound,edge1Bound);
column2 = intersect(innerBound,edge2Bound);
nodes_fix = union(column1,column2);
supdofs_fix1 = union(6*nodes_fix-3,union(6*nodes_fix-2,6*nodes_fix-1));
% Fixed columns on outer edge
column3 = intersect(outerBound,edge1Bound);
column4 = intersect(outerBound,edge2Bound);
nodes_fix = union(column3,column4);
supdofs_fix2 = union(6*nodes_fix-3,union(6*nodes_fix-2,6*nodes_fix-1));
% Stability
node_stabil = column1;
supdofs_stabil = [6*node_stabil-5,6*node_stabil-4,6*node_stabil];
% All
supdofs = union(supdofs_fix1,union(supdofs_fix2,supdofs_stabil));
end